Bug 1257099 - gdeploy: checks missing for brick mounts when there are existing physical volumes
gdeploy: checks missing for brick mounts when there are existing physical vol...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.1
Assigned To: Nandaja Varma
Anush Shetty
: ZStream
Depends On:
Blocks: 1251815
  Show dependency treegraph
 
Reported: 2015-08-26 05:46 EDT by Anush Shetty
Modified: 2016-09-17 10:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: gdeploy-1.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 03:24:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 07:06:22 EDT

  None (edit)
Description Anush Shetty 2015-08-26 05:46:38 EDT
Description of problem: When there are existing (old) Physical Volumes on hosts, gdeploy assumes that the backend brick setup is complete. If the succeeding steps involve volume create, and the brick mounts are missing, the volume gets created with bricks on root partition.


Version-Release number of selected component (if applicable): gdeploy-1.0-6.el7rhgs.noarch.rpm

 
How reproducible: Always


Steps to Reproduce:
1. Provide hosts and devices over which pvcreate has already been created. 
2. Run gdeploy
3.

Actual results:

Volume creation succeeds with bricks on root partition


Expected results:

There should be a check for brick mounts in the script.

Additional info:
Comment 2 Nandaja Varma 2015-08-26 07:14:45 EDT
Changes has been sent and will be available with next build.
Comment 3 Anush Shetty 2015-09-09 08:21:01 EDT
Verified with gdeploy-1.0-10.el7rhgs.noarch

# gdeploy -k -c gluster.conf

INFO: Back-end setup triggered
INFO: Peer management(action: probe) triggered
INFO: Volume management(action: create) triggered

PLAY [gluster_servers] ********************************************************

TASK: [Create Physical Volume on all the nodes] *******************************
failed: [rhshdp03.lab.eng.blr.redhat.com] => {"failed": true}
msg: ['/dev/vdc Physical Volume Exists!']
failed: [rhshdp04.lab.eng.blr.redhat.com] => {"failed": true}
msg: ['/dev/vdc Physical Volume Exists!']

FATAL: all hosts have already failed -- aborting

PLAY RECAP ********************************************************************
           to retry, use: --limit @/root/ansible_playbooks.retry

rhshdp03.lab.eng.blr.redhat.com : ok=0    changed=0    unreachable=0    failed=1
rhshdp04.lab.eng.blr.redhat.com : ok=0    changed=0    unreachable=0    failed=1

You can view the generated configuration files inside /tmp/tmpwc39Nb
Comment 6 errata-xmlrpc 2015-10-05 03:24:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.